> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/pipeline/sampling/create-data-sample/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Create data sample POST https://api.mezmo.com/v3/pipeline/{container_id}/source/{source_id}/sample Content-Type: application/json Create sample data for use in simulation Reference: https://mezmo.ferndocs.com/api-reference/pipeline/sampling/create-data-sample ## Authentication - `Authorization` header (required) (prefixed with ` Token `) — Header authentication of the form `Token ` ## Request ### Path parameters - `container_id` (string, required) — The ID of the container entity, either a Pipeline or Processor Group - `source_id` (string, required) — The ID of the source to retrieve samples for ### Body (application/json) This endpoint expects an object. - `data` (list of any, required) - `title` (string, optional, nullable) - `version` (enum, optional, default: v2) - Allowed values: `v2` - `container_type` (enum, optional, default: pipeline) — Discriminator to identify the type of container referenced by the container_id - Allowed values: `pipeline`, `transform_group` ## Response ### 200 Default Response ## Examples **Request** ```json { "data": [ "2024-06-01T12:00:00Z payment-service INFO Request processed successfully from 192.168.1.10 to logs.acme-corp.io", "2024-06-01T12:00:01Z auth-gateway WARN Authentication token expired for userID 12345", "2024-06-01T12:00:02Z order-processor ERROR Failed to process orderID 98765 due to timeout", "2024-06-01T12:00:03Z payment-service INFO request_latency_ms=120 error_rate_5xx=0.01 host=telemetry.acme-corp.io" ] } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v3/pipeline/container_id/source/source_id/sample" payload = { "data": ["2024-06-01T12:00:00Z payment-service INFO Request processed successfully from 192.168.1.10 to logs.acme-corp.io", "2024-06-01T12:00:01Z auth-gateway WARN Authentication token expired for userID 12345", "2024-06-01T12:00:02Z order-processor ERROR Failed to process orderID 98765 due to timeout", "2024-06-01T12:00:03Z payment-service INFO request_latency_ms=120 error_rate_5xx=0.01 host=telemetry.acme-corp.io"] } headers = { "Authorization": "Token ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v3/pipeline/container_id/source/source_id/sample'; const options = { method: 'POST', headers: { Authorization: 'Token ', 'Content-Type': 'application/json' }, body: '{"data":["2024-06-01T12:00:00Z payment-service INFO Request processed successfully from 192.168.1.10 to logs.acme-corp.io","2024-06-01T12:00:01Z auth-gateway WARN Authentication token expired for userID 12345","2024-06-01T12:00:02Z order-processor ERROR Failed to process orderID 98765 due to timeout","2024-06-01T12:00:03Z payment-service INFO request_latency_ms=120 error_rate_5xx=0.01 host=telemetry.acme-corp.io"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v3/pipeline/container_id/source/source_id/sample" payload := strings.NewReader("{\n \"data\": [\n \"2024-06-01T12:00:00Z payment-service INFO Request processed successfully from 192.168.1.10 to logs.acme-corp.io\",\n \"2024-06-01T12:00:01Z auth-gateway WARN Authentication token expired for userID 12345\",\n \"2024-06-01T12:00:02Z order-processor ERROR Failed to process orderID 98765 due to timeout\",\n \"2024-06-01T12:00:03Z payment-service INFO request_latency_ms=120 error_rate_5xx=0.01 host=telemetry.acme-corp.io\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Token ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v3/pipeline/container_id/source/source_id/sample") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Token ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": [\n \"2024-06-01T12:00:00Z payment-service INFO Request processed successfully from 192.168.1.10 to logs.acme-corp.io\",\n \"2024-06-01T12:00:01Z auth-gateway WARN Authentication token expired for userID 12345\",\n \"2024-06-01T12:00:02Z order-processor ERROR Failed to process orderID 98765 due to timeout\",\n \"2024-06-01T12:00:03Z payment-service INFO request_latency_ms=120 error_rate_5xx=0.01 host=telemetry.acme-corp.io\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mezmo.com/v3/pipeline/container_id/source/source_id/sample") .header("Authorization", "Token ") .header("Content-Type", "application/json") .body("{\n \"data\": [\n \"2024-06-01T12:00:00Z payment-service INFO Request processed successfully from 192.168.1.10 to logs.acme-corp.io\",\n \"2024-06-01T12:00:01Z auth-gateway WARN Authentication token expired for userID 12345\",\n \"2024-06-01T12:00:02Z order-processor ERROR Failed to process orderID 98765 due to timeout\",\n \"2024-06-01T12:00:03Z payment-service INFO request_latency_ms=120 error_rate_5xx=0.01 host=telemetry.acme-corp.io\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.mezmo.com/v3/pipeline/container_id/source/source_id/sample', [ 'body' => '{ "data": [ "2024-06-01T12:00:00Z payment-service INFO Request processed successfully from 192.168.1.10 to logs.acme-corp.io", "2024-06-01T12:00:01Z auth-gateway WARN Authentication token expired for userID 12345", "2024-06-01T12:00:02Z order-processor ERROR Failed to process orderID 98765 due to timeout", "2024-06-01T12:00:03Z payment-service INFO request_latency_ms=120 error_rate_5xx=0.01 host=telemetry.acme-corp.io" ] }', 'headers' => [ 'Authorization' => 'Token ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v3/pipeline/container_id/source/source_id/sample"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Token "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": [\n \"2024-06-01T12:00:00Z payment-service INFO Request processed successfully from 192.168.1.10 to logs.acme-corp.io\",\n \"2024-06-01T12:00:01Z auth-gateway WARN Authentication token expired for userID 12345\",\n \"2024-06-01T12:00:02Z order-processor ERROR Failed to process orderID 98765 due to timeout\",\n \"2024-06-01T12:00:03Z payment-service INFO request_latency_ms=120 error_rate_5xx=0.01 host=telemetry.acme-corp.io\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Token ", "Content-Type": "application/json" ] let parameters = ["data": ["2024-06-01T12:00:00Z payment-service INFO Request processed successfully from 192.168.1.10 to logs.acme-corp.io", "2024-06-01T12:00:01Z auth-gateway WARN Authentication token expired for userID 12345", "2024-06-01T12:00:02Z order-processor ERROR Failed to process orderID 98765 due to timeout", "2024-06-01T12:00:03Z payment-service INFO request_latency_ms=120 error_rate_5xx=0.01 host=telemetry.acme-corp.io"]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v3/pipeline/container_id/source/source_id/sample")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```